import request           from '@/utils/request';

const pre = `/news/classify`

export function getNewsClassifyAdd(data = {}) {
    return request({
                       url:    `${pre}/add`,
                       method: 'post',
                       data,
                   });
}


export function getNewsClassifyDelete(data = {}) {
    return request({
                       url:    `${pre}/delete`,
                       method: 'post',
                       data,
                   });
}


export function getNewsClassifyInfo(data = {}) {
    return request({
                       url:    `${pre}/info`,
                       method: 'post',
                       data,
                   });
}


export function getNewsClassifyList(data = {}) {
    return request({
                       url:    `${pre}/list`,
                       method: 'post',
                       data,
                   });
}


export function getNewsClassifySearch(data = {}) {
    return request({
                       url:    `${pre}/search`,
                       method: 'post',
                       data,
                   });
}


export function getNewsClassifyUpdate(data = {}) {
    return request({
                       url:    `${pre}/update`,
                       method: 'post',
                       data,
                   });
}